/eth/v1/beacon/states/{state_id}/root

Get state SSZ HashTreeRoot

Get state SSZ HashTreeRoot

get
/eth/v1/beacon/states/{state_id}/root

Calculates HashTreeRoot for state with given 'stateId'. If stateId is root, same value will be returned.

Path parameters
state_idstringRequired

State identifier. Can be one of: "head" (canonical head in node's view), "genesis", "finalized", "justified", <slot>, <hex encoded stateRoot with 0x prefix>.

Example: head
Responses
chevron-right
200

Success

application/json
execution_optimisticall ofOptional
booleanOptional
and
anyOptionalExample: false
and
anyOptional

True if the response references an unverified execution payload. Optimistic information may be invalidated at a later time. If the field is not present, assume the False value.

get
/eth/v1/beacon/states/{state_id}/root

curl -X GET \
    "https://mainnet.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/eth/v1/beacon/states/head/root" \
    -H "Content-Type: application/json"

Last updated

Was this helpful?